import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { TreeSelectProps as NextTreeSelectProps } from '@alifd/next/types/tree-select';
interface TreeSelectProps extends NextTreeSelectProps, CommonThemeProps {
}
declare class TreeSelect extends Component<TreeSelectProps> {
    static Node: typeof import("@alifd/next/types/tree").Node;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof TreeSelect;
export default _default;
